ComRaidComRaid Docs
API referenceMessages

Archive a Draft

Archives a Draft (`deleted_at`). Non-draft Messages return 409. Archived Drafts are omitted from lists and GET returns 404.

DELETE
/messages/{id}

Archives a Draft (deleted_at). Non-draft Messages return 409. Archived Drafts are omitted from lists and GET returns 404.

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Project API key (cr_sk_...)

Path Parameters

id*string
Formatuuid

Response Body

Archived

application/json
  1. response
message_id?string
Formatuuid
status?"draft"
Value in"draft"
archived?boolean
Example Request
curl -X DELETE 'https://api.comraid.io/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",  "status": "draft",  "archived": true}